Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug
Bug#: 131715
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Gentoo LiveCD Package Maintainers <livecd@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Dick Marinus <dick@mrns.nl>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
libkudzu-1.2.34.3.ebuild sys-libs/libkudzu-1.2.34.3.ebuild text/plain Dick Marinus 2006-04-29 13:41 0000 838 bytes Details
kudzu-1.2.34.3.tar.gz kudzu-1.2.34.3.tar.gz application/octet-stream Dick Marinus 2006-04-29 13:42 0000 258.75 KB Details
pciutils-devicetype.patch pciutils-devicetype.patch patch Dick Marinus 2006-04-29 14:57 0000 5.79 KB Details | Diff
libkudzu-1.2.41.ebuild sys-libs/libkudzu-1.2.41.ebuild text/plain Dick Marinus 2006-08-06 09:08 0000 838 bytes Details
kudzu-1.2.41.tar.gz kudzu-1.2.41.tar.gz application/x-gtar Dick Marinus 2006-08-06 09:10 0000 259.15 KB Details
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 131715 depends on: 160315 Show dependency tree
Bug 131715 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2006-04-29 13:40 0000
versionbump + libkudzu_loader.a

------- Comment #1 From Dick Marinus 2006-04-29 13:41:16 0000 -------
Created an attachment (id=85793) [details]
sys-libs/libkudzu-1.2.34.3.ebuild

--- /usr/portage/sys-libs/libkudzu/libkudzu-1.1.62-r1.ebuild    2006-02-09
15:36:05.000000000 +0100
+++ libkudzu-1.2.34.3.ebuild    2006-04-29 22:35:25.000000000 +0200
@@ -1,12 +1,12 @@
 # Copyright 1999-2006 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/sys-libs/libkudzu/libkudzu-1.1.62-r1.ebuild,v 1.11
2006/02/09 14:31:13 wolf31o2 Exp $
+# $Header: $

 inherit eutils

 S=${WORKDIR}/kudzu-${PV}
 DESCRIPTION="Red Hat Hardware detection tools"
-SRC_URI="http://www.ibiblio.org/onebase/devbase/app-packs/kudzu-${PV}.tar.bz2"
+SRC_URI="kudzu-${PV}.tar.gz"
 HOMEPAGE="http://fedora.redhat.com/projects/additional-projects/kudzu/"

 LICENSE="GPL-2"
@@ -20,23 +20,16 @@
 DEPEND="dev-libs/popt
        sys-apps/pciutils"

-src_unpack() {
-       unpack ${A}
-       epatch ${FILESDIR}/sunlance.patch
-       epatch ${FILESDIR}/ppc.patch
-       epatch ${FILESDIR}/typedef_byte.patch
-}
-
 src_compile() {
        # Fix the modules directory to match Gentoo layout.
        perl -pi -e 's|/etc/modutils/kudzu|/etc/modules.d/kudzu|g' *.*

-       emake libkudzu.a RPM_OPT_FLAGS="${CFLAGS}" || die
+       emake libkudzu.a libkudzu_loader.a RPM_OPT_FLAGS="${CFLAGS}" || die
 }

 src_install() {
        dodir /etc/sysconfig
        insinto /usr/include/kudzu
        doins *.h
-       dolib.a libkudzu.a
+       dolib.a libkudzu.a libkudzu_loader.a
 }

------- Comment #2 From Dick Marinus 2006-04-29 13:42:14 0000 -------
Created an attachment (id=85794) [details]
kudzu-1.2.34.3.tar.gz

extracted from source RPM

------- Comment #3 From Dick Marinus 2006-04-29 14:57:07 0000 -------
Created an attachment (id=85797) [details]
pciutils-devicetype.patch

and... pciutils requires this patch (from redhat pciutils)

------- Comment #4 From Dick Marinus 2006-08-06 09:08:35 0000 -------
Created an attachment (id=93598) [details]
sys-libs/libkudzu-1.2.41.ebuild

--- /usr/portage/sys-libs/libkudzu/libkudzu-1.1.62-r1.ebuild    2006-02-09
15:36:05.000000000 +0100
+++ libkudzu-1.2.41.ebuild      2006-04-29 22:35:25.000000000 +0200
@@ -1,12 +1,12 @@
 # Copyright 1999-2006 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/sys-libs/libkudzu/libkudzu-1.1.62-r1.ebuild,v 1.11
2006/02/09 14:31:13 wolf31o2 Exp $
+# $Header: $

 inherit eutils

 S=${WORKDIR}/kudzu-${PV}
 DESCRIPTION="Red Hat Hardware detection tools"
-SRC_URI="http://www.ibiblio.org/onebase/devbase/app-packs/kudzu-${PV}.tar.bz2"
+SRC_URI="kudzu-${PV}.tar.gz"
 HOMEPAGE="http://fedora.redhat.com/projects/additional-projects/kudzu/"

 LICENSE="GPL-2"
@@ -20,23 +20,16 @@
 DEPEND="dev-libs/popt
        sys-apps/pciutils"

-src_unpack() {
-       unpack ${A}
-       epatch ${FILESDIR}/sunlance.patch
-       epatch ${FILESDIR}/ppc.patch
-       epatch ${FILESDIR}/typedef_byte.patch
-}
-
 src_compile() {
        # Fix the modules directory to match Gentoo layout.
        perl -pi -e 's|/etc/modutils/kudzu|/etc/modules.d/kudzu|g' *.*

-       emake libkudzu.a RPM_OPT_FLAGS="${CFLAGS}" || die
+       emake libkudzu.a libkudzu_loader.a RPM_OPT_FLAGS="${CFLAGS}" || die
 }

 src_install() {
        dodir /etc/sysconfig
        insinto /usr/include/kudzu
        doins *.h
-       dolib.a libkudzu.a
+       dolib.a libkudzu.a libkudzu_loader.a
 }

------- Comment #5 From Dick Marinus 2006-08-06 09:10:25 0000 -------
Created an attachment (id=93599) [details]
kudzu-1.2.41.tar.gz

extracted from kudzu-1.2.41-1.src.rpm

------- Comment #6 From Chris Gianelloni (RETIRED) 2006-08-30 08:42:55 0000 -------
Is the patch still required for pciutils with 1.2.41?

------- Comment #7 From Dick Marinus 2006-08-30 11:03:33 0000 -------
yes:
./pci.c:419:            pci_fill_info(p, PCI_FILL_IDENT | PCI_FILL_CLASS |
PCI_FILL_IRQ | PCI_FILL_BASES | PCI_FILL_ROM_BASE | PCI_FILL_SIZES);

PCI_FILL_CLASS is a new flag supplied by the devicetype patch.

pciutils-devicetype.patch is still working on pciutils-2.2.3 ...

but we will get it soon:
commit c2b144efd9a82291ca7b1bb4f561f427ff18ed7e
Author: Martin Mares <mj@ucw.cz>
Date:   Tue Jun 27 15:13:20 2006 +0200

    Add and use PCI_FILL_CLASS.

(from pciutils git repository)

so we will have to wait (or apply the patch ;-))

------- Comment #8 From Chris Gianelloni (RETIRED) 2007-01-31 17:54:07 0000 -------
Added to CVS...

Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug